 
#include "TePDIMosaicFactory.hpp"
#include "TePDIMosaic.hpp"
#include "TePDIAgnostic.hpp"


TePDIMosaicFactory::TePDIMosaicFactory()
: TePDIAlgorithmFactory( std::string( "TePDIMosaic" ) )
{
};      


TePDIMosaicFactory::~TePDIMosaicFactory()
{
};


TePDIAlgorithm* TePDIMosaicFactory::build ( const TePDIParameters& arg )
{
  TePDIAlgorithm* instance_ptr = new TePDIMosaic();
  
  PDIAGN_TRUE_OR_THROW( instance_ptr->Reset( arg ),
    "Invalid parameters" );
  
  return instance_ptr;
}
