#include "TePDIRegGrowSegmentationSF.hpp"
#include "TePDIRegGrowSegmentationStrategy.hpp"

TePDIRegGrowSegmentationSF::TePDIRegGrowSegmentationSF()
: TePDIStrategyFactory( std::string( "region_growing" ) )
{
};      

TePDIRegGrowSegmentationSF::~TePDIRegGrowSegmentationSF()
{
};


TePDIStrategy* TePDIRegGrowSegmentationSF::build ( const TePDIParameters& )
{
  TePDIStrategy* instance_ptr = new TePDIRegGrowSegmentationStrategy();
  
  return instance_ptr;
}

