 
#include "TePDIBDFilterFactory.hpp"
#include "TePDIBDFilter.hpp"
#include "TePDIAgnostic.hpp"

TePDIBDFilterFactory::TePDIBDFilterFactory()
: TePDIAlgorithmFactory( std::string( "TePDIBDFilter" ) )
{
};      

TePDIBDFilterFactory::~TePDIBDFilterFactory()
{
};


TePDIAlgorithm* TePDIBDFilterFactory::build ( const TePDIParameters& arg )
{
  TePDIAlgorithm* instance_ptr = new TePDIBDFilter();
  
  PDIAGN_TRUE_OR_THROW( instance_ptr->Reset( arg ),
    "Invalid parameters" );
  
  return instance_ptr;
}
