 
#include "TePDIBlendingFactory.hpp"
#include "TePDIBlending.hpp"
#include "TePDIAgnostic.hpp"


TePDIBlendingFactory::TePDIBlendingFactory()
: TePDIAlgorithmFactory( std::string( "TePDIBlending" ) )
{
};      


TePDIBlendingFactory::~TePDIBlendingFactory()
{
};


TePDIAlgorithm* TePDIBlendingFactory::build ( const TePDIParameters& arg )
{
  TePDIAlgorithm* instance_ptr = new TePDIBlending();
  
  PDIAGN_TRUE_OR_THROW( instance_ptr->Reset( arg ),
    "Invalid parameters" );
  
  return instance_ptr;
}
