 
#include "TePDILinearFilterFactory.hpp"
#include "TePDILinearFilter.hpp"
#include "TePDIAgnostic.hpp"

TePDILinearFilterFactory::TePDILinearFilterFactory()
: TePDIAlgorithmFactory( std::string( "TePDILinearFilter" ) )
{
};      

TePDILinearFilterFactory::~TePDILinearFilterFactory()
{
};


TePDIAlgorithm* TePDILinearFilterFactory::build ( const TePDIParameters& arg )
{
  TePDIAlgorithm* instance_ptr = new TePDILinearFilter();
  
  PDIAGN_TRUE_OR_THROW( instance_ptr->Reset( arg ),
    "Invalid parameters" );
  
  return instance_ptr;
}

